# Proximity


![Image](https://i.imgur.com/buuPQel.png)

Update of peladors mod
https://steamcommunity.com/sharedfiles/filedetails/?id=1719896867

- For detailed description, download the https://github.com/emipa606/Proximity/raw/main/Source/ProximityNotes.pdf]PDF

![Image](https://i.imgur.com/pufA0kM.png)

	
![Image](https://i.imgur.com/Z4GOv8H.png)


# Important News


Ashnal, another mod developer has taken it upon himself to adopt the functionality from Proximity. And is intending to extend the functionality of the mod further. This since I don't personally have the spare time to do so.

This means that when developed it will be appearing as a new mod or as a library resource for people to make use of.

I'd hope that as indicated the existing functionality of Proximity will be maintained as a result.

Will keep you informed.



# Overview


Modding tool to manipulate stats and add hediff effects to pawns when in proximity to buildings or terrain. This does not add content to the game in itself, but provides functionality to modders with it's use.

# Details


https://1drv.ms/b/s!Au3GsmKyQkDYg9wN38X4R3ydULZMrw]Guidance notes (pdf)


# Installation


The guidance notes above detail how to setup the elements for the buildings or terrain. 

Otherwise this mod would need to be utilised as a required item or dependency to any mod that wants to make use of the functionality. (Please do not just copy the assembly into mod folders as duplicates from different mods using differing versions of Proximity have the potential to cause hash errors).


# Compatibility Advice


I would not use this tool to add effects to "vanilla" items, since if another modder also applied their definitions to the same item then there would be a conflict of interest. It is recommended that this tool be used with "custom" buildings or "custom" terrain that have been developed in a mod.


# Credits


Brainchild/Requested by Oskar Potoki. 



(CC BY-NC-SA 4.0)


![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.




